Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class StatefulSessionEnterpriseContext

    java.lang.Object
      org.jboss.ejb.EnterpriseContext
          org.jboss.ejb.StatefulSessionEnterpriseContext

All Implemented Interfaces:
  AllowedOperationsFlags, Serializable

public class StatefulSessionEnterpriseContext
extends EnterpriseContext
implements Serializable

The enterprise context for stateful session beans.

Version:
  $Revision: 1.31 $
Author:
  Rickard �berg, Daniel OConnor
See Also:
  Serialized Form

Nested Class Summary
`protected class` | `StatefulSessionEnterpriseContext.StatefulSessionContextImpl`

Nested classes inherited from class org.jboss.ejb.EnterpriseContext
`EnterpriseContext.EJBContextImpl, EnterpriseContext.UserTransactionImpl`

Field Summary

Fields inherited from class org.jboss.ejb.EnterpriseContext
`log`

Fields inherited from interface org.jboss.ejb.AllowedOperationsFlags
`IN_AFTER_BEGIN, IN_AFTER_COMPLETION, IN_BEFORE_COMPLETION, IN_BUSINESS_METHOD, IN_EJB_ACTIVATE, IN_EJB_CREATE, IN_EJB_FIND, IN_EJB_HOME, IN_EJB_LOAD, IN_EJB_PASSIVATE, IN_EJB_POST_CREATE, IN_EJB_REMOVE, IN_EJB_STORE, IN_EJB_TIMEOUT, IN_INTERCEPTOR_METHOD, IN_SERVICE_ENDPOINT_METHOD, IN_SET_ENTITY_CONTEXT, IN_SET_MESSAGE_DRIVEN_CONTEXT, IN_SET_SESSION_CONTEXT, IN_UNSET_ENTITY_CONTEXT, NOT_ALLOWED`

Constructor Summary
`StatefulSessionEnterpriseContext(Object instance, Container con)`

Method Summary
`void` | `discard()`
`javax.ejb.EJBContext` | `getEJBContext()` Get the EJBContext object
`javax.ejb.EJBLocalObject` | `getEJBLocalObject()`
`javax.ejb.EJBObject` | `getEJBObject()`
`javax.ejb.SessionContext` | `getSessionContext()`
`void` | `setEJBLocalObject(javax.ejb.EJBLocalObject eo)`
`void` | `setEJBObject(javax.ejb.EJBObject eo)`
`void` | `setInstance(Object instance)` During activation of stateful session beans we replace the instance by the one read from the file.

Methods inherited from class org.jboss.ejb.EnterpriseContext
`clear, getCallerPrincipal, getContainer, getId, getInstance, getTransaction, getTxLock, isContainerManagedTx, isLocked, isUserManagedTx, lock, setId, setPrincipal, setTransaction, setUserTransactionStartedListener, unlock`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StatefulSessionEnterpriseContext

    public StatefulSessionEnterpriseContext(Object instance,
                                            Container con)
                                     throws RemoteException

Method Detail

### discard

    public void discard()
                 throws RemoteException

  Specified by:
    `discard` in class `EnterpriseContext`
  Throws:
    `RemoteException`

### getEJBContext

    public javax.ejb.EJBContext getEJBContext()

  Description copied from class: `EnterpriseContext`
  Get the EJBContext object

  Specified by:
    `getEJBContext` in class `EnterpriseContext`

### setInstance

    public void setInstance(Object instance)

  During activation of stateful session beans we replace the instance by the one read from the file.

### setEJBObject

    public void setEJBObject(javax.ejb.EJBObject eo)

### getEJBObject

    public javax.ejb.EJBObject getEJBObject()

### setEJBLocalObject

    public void setEJBLocalObject(javax.ejb.EJBLocalObject eo)

### getEJBLocalObject

    public javax.ejb.EJBLocalObject getEJBLocalObject()

### getSessionContext

    public javax.ejb.SessionContext getSessionContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.